## giac 1.9.0.19+dfsg2

=== micropython-1.12/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# micropython-1.12/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/giac
pkgincludedir = $(includedir)/giac
pkglibdir = $(libdir)/giac
pkglibexecdir = $(libexecdir)/giac
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = micropython-1.12
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc2.m4 \
	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/intmax.m4 \
	$(top_srcdir)/m4/inttypes-pri.m4 $(top_srcdir)/m4/inttypes.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/isc-posix.m4 \
	$(top_srcdir)/m4/lcmessage.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/longdouble.m4 \
	$(top_srcdir)/m4/longlong.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/printf-posix.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/signed.m4 \
	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
	$(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run aclocal-1.11
ALLOCA = 
AMTAR = $${TAR-tar}
AO_LIBS = 
AR = x86_64-linux-gnu-ar
AUTOCONF = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run automake-1.11
AWK = mawk
BERNMM_LIBS = 
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = /usr/bin/gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_GNU_SOURCE -DQUICKJS -DCONFIG_BIGNUM -DCONFIG_VERSION=\"2020-11-08\"
COCOA_LIBS = 
CONFIG_AO = yes
CONFIG_BERNMM = no
CONFIG_COCOA = no
CONFIG_CURL = no
CONFIG_DOC_PROGS = yes
CONFIG_ECM = yes
CONFIG_GLPK = yes
CONFIG_GMPXX = yes
CONFIG_GSL = yes
CONFIG_NTL = yes
CONFIG_PARI = yes
CONFIG_SAMPLERATE = no
CPP = /usr/bin/gcc -E
CPPFLAGS = 
CURL_LIBS = 
CXX = /usr/bin/g++
CXXCPP = /usr/bin/g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -fno-strict-aliasing -DGIAC_GENERIC_CONSTANTS -DTIMEOUT -DHAVE_LIBMICROPYTHON -fpermissive -DQUICKJS
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
DVIPS = /usr/bin/dvips
ECHO_C = 
ECHO_N = -n
ECHO_T = 
ECM_LIBS = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GENCAT = gencat
GINSH_LIBS = -lreadline -lncurses -lglpk -lao -llapack -lblas -ldl -lpng16 -lm -lecm -lmpfi -lmpfr -lgmp 
GLIBC2 = yes
GLIBC21 = yes
GLPK_LIBS = 
GMPXX_LIBS = -lgmpxx
GMSGFMT = /usr/bin/msgfmt
GREP = /usr/bin/grep
GSL_LIBS = -lgsl -lgslcblas
GUI_LIBS = -lfltk_images -ljpeg -lpng -lz -lfltk -lfltk_gl -lXext -lXft -lfontconfig -lXinerama -lX11 -lGL -lglpk -lao -llapack -lblas -ldl -lpng16 -lm -lecm -lmpfi -lmpfr -lgmp  
HAVE_ASPRINTF = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_WPRINTF = 0
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LATEX = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L. -L.. -lmicropython
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBICONV = 
LIBINTL = 
LIBOBJS = 
LIBS = -lrt -lpthread -lnauty -lcliquer -lglpk -lao -llapack -lblas -ldl -lpng16 -lm -lecm -lmpfi -lmpfr -lgmp 
LIBTERMCAP = -lncurses
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = 
LTLIBINTL = 
LTLIBOBJS = 
MAKEINDEX = /usr/bin/makeindex
MAKEINFO = ${SHELL} /home/parisse/giac-1.9.0/config/missing --run makeinfo
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
NTL_LIBS = -lntl
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = giac
PACKAGE_BUGREPORT = 
PACKAGE_NAME = giac
PACKAGE_STRING = giac 1.9.0
PACKAGE_TARNAME = giac
PACKAGE_URL = 
PACKAGE_VERSION = 1.9.0
PARI_LIBS = -lpari
PATH_SEPARATOR = :
PDFLATEX = 
POSUB = po
RANLIB = x86_64-linux-gnu-ranlib
SAMPLERATE_LIBS = 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = x86_64-linux-gnu-strip
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.9.0
XGETTEXT = /usr/bin/xgettext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
YACC = bison -y
YFLAGS = 
abs_builddir = /home/parisse/giac-1.9.0/micropython-1.12
abs_srcdir = /home/parisse/giac-1.9.0/micropython-1.12
abs_top_builddir = /home/parisse/giac-1.9.0
abs_top_srcdir = /home/parisse/giac-1.9.0
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = ${SHELL} /home/parisse/giac-1.9.0/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /usr/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = xcas  
DIST_SUBDIRS = xcas  nspire numworks docs drivers examples extmod lib logo ports py tests tools unix ulab
EXTRA_DIST = LICENSE *.md ACKNOWLEDGEMENTS
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu micropython-1.12/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu micropython-1.12/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \

=== debian/changelog ===
giac (1.9.0.19+dfsg2-1) unstable; urgency=medium

  * New upstream release (Closes: #1012057).
  * Remove fix_gcc11.patch (no longer neeeded).
  * Override dh_auto_clean to remove Makefile and avoid build errors.
  * Refresh patches.
  * Update licensing.

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Wed, 13 Jul 2022 15:39:34 +0300

=== debian/control ===
Source: giac
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Ximin Luo <infinity0@debian.org>,
           Gilles Filippini <pini@debian.org>
Build-Depends: automake,
               bison,
               debhelper-compat (= 13),
               flex,
               libfltk1.3-dev,
               libfontconfig1-dev,
               libgl2ps-dev,
               libglu1-mesa-dev,
               libgmp3-dev,
               libgsl-dev,
               libjpeg-dev,
               libmpfi-dev,
               libmpfr-dev,
               libntl-dev,
               libpari-dev,
               libpng-dev,
               libreadline-dev,
               libtool,
               libxext-dev,
               libxft-dev,
               libxinerama-dev,
               patch,
               python3,
               texinfo,
               zlib1g-dev
Build-Depends-Indep: hevea <!nodoc>,
                     imagemagick <!nodoc>,
                     latex2html <!nodoc>,
                     libjs-codemirror <!nodoc>,
                     libjs-mathjax <!nodoc>,
                     texlive-binaries <!nodoc>,
                     texlive-font-utils <!nodoc>,
                     texlive-lang-all <!nodoc>,
                     texlive-latex-recommended <!nodoc>,
                     texlive-pstricks <!nodoc>,
                     texlive-science <!nodoc>,
                     xauth <!nodoc>,
                     xvfb <!nodoc>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
Vcs-Browser: https://salsa.debian.org/science-team/giac
Vcs-Git: https://salsa.debian.org/science-team/giac.git

Package: libgiac0
Section: libs
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: giac-doc
Description: Computer Algebra System C++ library
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the shared libraries needed to run programs using giac.

Package: libgiac-dev
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
Section: libdevel
Depends: libfltk1.3-dev,
         libgiac0 (= ${binary:Version}),
         libgmp-dev,
         libgsl-dev,
         libmpfi-dev,
         libmpfr-dev,
         libntl-dev,
         ${misc:Depends}
Description: Computer Algebra System C++ library - Development files
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the header files, static libraries, and other
 development files needed to build software that uses giac.

Package: xcas
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
Multi-Arch: allowed
Depends: libgiac0 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: giac-doc,
          hevea,
          imagemagick,
          kbd,
          netpbm,
          texlive-binaries,
          texlive-latex-base,
          wget,
          xterm
Description: Computer Algebra System - console and graphical calculator
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the user-facing giac programs: xcas, icas, and pgiac;
 as well as the cas_help program for providing user-oriented help.

Package: giac-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-codemirror, libjs-mathjax, xcas:any, ${misc:Depends}
Recommends: xcas (= ${binary:Version})
Description: Computer Algebra System - documentation
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains static user documentation for giac and xcas.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with autoreconf

# Use ccache if pkg.giac.ccache build-profile is active.
# Your rebuilds will be *much quicker*.
ifneq (,$(filter pkg.giac.ccache,$(DEB_BUILD_PROFILES)))
export PATH := /usr/lib/ccache:$(PATH)
export CCACHE_DIR := $(CURDIR)/debian/ccache
#export CCACHE_BASEDIR := $(CURDIR)/debian/build
$(shell mkdir -p "$(CCACHE_DIR)")
endif

# ~/.xcasrc sometimes interferes with doc/test targets, causing failures
export HOME=/nonexistent

override_dh_auto_clean:
# Remove Makefile if it exists because it contains wrong hard-coded paths
	if [ -f ./Makefile ]; then\
	    rm -f ./Makefile;\
	fi
	dh_auto_clean

override_dh_autoreconf:
# Deal with embedded stuff
	find doc/ -maxdepth 1 -type d -exec ln -sf /usr/share/texmf/tex/texinfo/texinfo.tex '{}/' \;
# Deal with emscripten placeholder
	cp debian/giac.js doc/giac.js
# Actually configure
	dh_autoreconf

override_dh_auto_build-arch:
# Should be the same order as SUBDIRS in Makefile.am
	dh_auto_build -a -D micropython-1.12
	dh_auto_build -a -D src
	dh_auto_build -a -D intl
	dh_auto_build -a -D po
	dh_auto_build -a -D doc -- info

override_dh_auto_test-arch:
	dh_auto_test -a -D check -- VERBOSE=1

override_dh_auto_test-indep:
	true

override_dh_auto_install-arch:
# Should be the same order as SUBDIRS in Makefile.am
	dh_auto_install -a -D src
	dh_auto_install -a -D intl
	dh_auto_install -a -D po
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no -C doc \
	  install-info install-dist_pkgdataDATA
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install-exec-hook

override_dh_install: fix_encoding
	rm -f debian/tmp/usr/lib/*/libgiac.la
	rm -f debian/tmp/usr/include/giac/config.h
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-indep:
	dh_fixperms
	find debian/giac-doc/usr/share/giac/examples/ \
	  \( -name '*.cas' -o -name '*.xws' -o -name '*.cxx' \) -exec chmod -x '{}' \;
	chmod -x debian/giac-doc/usr/share/giac/examples/lewisw/*_?var

ENCODING_FILES = \
	/usr/share/giac/doc/en/casinter/casinter001.html \
	/usr/share/giac/doc/en/casinter/casinter002.html \
	/usr/share/giac/doc/en/casinter/casinter004.html \
	/usr/share/giac/doc/en/casinter/casinter005.html \
	/usr/share/giac/doc/en/casinter/casinter006.html \
	/usr/share/giac/doc/en/casinter/index.html \
	/usr/share/giac/examples/arit/codage.cas \
	/usr/share/giac/examples/demo/e05.tex \
	/usr/share/giac/examples/geo/geo2 \
	/usr/include/giac/monomial.h \
	/usr/include/giac/poly.h \
	/usr/include/giac/prog.h

fix_encoding:
	for toto in $(ENCODING_FILES); do \
		iconv -f iso-8859-15 -t utf-8 debian/tmp$$toto > debian/tmp$$toto.fix ; \
		mv debian/tmp$$toto.fix debian/tmp$$toto ; \
	done

## giac 1.9.0.21+dfsg2

=== debian/changelog ===
giac (1.9.0.21+dfsg2-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * New upstream release.
  * Add myself as uploader.
  * Add patches define-anyarg.patch and increase-pari-size.patch to
    fix FTBFS with pari 2.15.0 (Closes: #1020436).
    Thanks to sagemath for these patches.
  * Remove configure generated files during dh_auto_clean.
  * Bump standards-version to 4.6.1.
  * Update licensing.

  [ Bo Yu ]
  * Add support for riscv64 (Closes: #1015229).

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 21 Oct 2022 16:43:11 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Ximin Luo <infinity0@debian.org>,
-           Gilles Filippini <pini@debian.org>
+           Gilles Filippini <pini@debian.org>,
+           Ileana Dumitrescu <ileanadumi95@protonmail.com>
 Build-Depends: automake,
                bison,
                debhelper-compat (= 13),
@@ -42,7 +43,7 @@
                      texlive-science <!nodoc>,
                      xauth <!nodoc>,
                      xvfb <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
 Vcs-Browser: https://salsa.debian.org/science-team/giac
@@ -50,7 +51,7 @@
 
 Package: libgiac0
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel riscv64
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: giac-doc
@@ -63,7 +64,7 @@
  This package contains the shared libraries needed to run programs using giac.
 
 Package: libgiac-dev
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel riscv64
 Section: libdevel
 Depends: libfltk1.3-dev,
          libgiac0 (= ${binary:Version}),
@@ -83,7 +84,7 @@
  development files needed to build software that uses giac.
 
 Package: xcas
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel riscv64
 Multi-Arch: allowed
 Depends: libgiac0 (= ${binary:Version}),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,13 @@
 # Remove Makefile if it exists because it contains wrong hard-coded paths
 	if [ -f ./Makefile ]; then\
 	    rm -f ./Makefile;\
+	fi
+# Remove configure generated files
+	if [ -f ./config.log ]; then\
+	    rm -f ./config.log;\
+	fi
+	if [ -f ./config.status ]; then\
+	    rm -f ./config.status;\
 	fi
 	dh_auto_clean
